package com.zcloud.service.corp.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.corp.CorpPlsInfoMapper;
import com.zcloud.service.corp.CorpPlsInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：企业类型主管部门
 * 作者：shaojie
 * 时间：2021-03-18
 * 官网：www.qdkjchina.com
 */
@Service
@Transactional //开启事物
public class CorpPlsInfoServiceImpl implements CorpPlsInfoService{

	@Autowired
	private CorpPlsInfoMapper corpplsinfoMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		corpplsinfoMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		corpplsinfoMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		corpplsinfoMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return corpplsinfoMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return corpplsinfoMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return corpplsinfoMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		corpplsinfoMapper.deleteAll(ArrayDATA_IDS);
	}

	@Override
	public PageData getDeptIdandempId(PageData user) {
		return corpplsinfoMapper.getDeptIdandempId(user);
	}

}

